# Create a payment Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Creates a payment in the following scenarios: - A full or partial payment on an invoice or a debit memo - A full or partial payment on several invoices and debit memos - An unapplied payment in the following situations: - You do not know which customer account the payment belongs to. - You know which customer account the payment belongs to, but you do not know which invoice the payment is applied to. - You receive a payment from your customer that exceeds the balance on the invoice. - You receive a payment from your customer before the invoice has been created. - You intend to create a payment without any invoices or debit memos. - A standalone payment. If you only need to create and process an electronic payment in Zuora through a Zuora gateway integration but settle the payment outside of Zuora, you can create a standalone payment. For a standalone payment, you can specify a currency different from the payment currency in the customer account settings. When Standalone Payment is not enabled, the currency of the standalone payment can be different from the payment currency defined in the customer account settings if you have the Multiple Currencies feature enabled. If you do not know to which customer account the payment belongs, you can create a payment without specifying a customer account. When you create a payment, the total number of invoice items and debit memo items that the payment will apply to should be less than or equal to 15,000. For more information, see Create Payments and Create Payments Without Specifying Customer Accounts. Endpoint: POST /v1/payments Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountId` (string) The ID of the customer account that the payment is created for. Example: "8a90b4488e7d5c0f018e7db3892400b2" - `accountNumber` (string) The number of the customer account that the payment is created for, such as A00000001. You can specify either accountNumber or accountId for a customer account. If both of them are specified, they must refer to the same customer account. - `amount` (number, required) The total amount of the payment. Example: 14.99 - `authTransactionId` (string) The authorization transaction ID from the payment gateway. Use this field for electronic payments, such as credit cards. When you create a payment for capturing the authorized funds, it is highly recommended to pass in the gatewayOrderId that you used when authorizing the funds by using the [Create authorization](https://www.zuora.com/developer/api-references/api/operation/POST_CreateAuthorization) operation, together with the authTransactionId field. The following payment gateways support this field: - Adyen Integration v2.0 - CyberSource 1.28 - CyberSource 1.97 - CyberSource 2.0 - Chase Paymentech Orbital - Ingenico ePayments - SlimPay - Stripe v2 - Verifi Global Payment Gateway - WePay Payment Gateway Integration - `comment` (string) Additional information related to the payment. - `currency` (string, required) When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI. But if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled, you can have a different payment currency. When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency. Example: "USD" - `customRates` (array) It contains Home currency and Reporting currency custom rates currencies. The maximum number of items is 2 (you can pass the Home currency item or Reporting currency item or both). Note: - This field is only available if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - You cannot set the custom rates, if both the Automatically include additional Currency Conversion information in data source exports option and Fx data feature are enabled. - Payment, PaymentApplication, and PaymentApplicationItem will utilize the provided custom Fx rate to convert amounts from the transactional currency to the home currency. - `customRates.currency` (string, required) The currency code for either Reporting or Home currency. Note: This field is only available if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `customRates.customFxRate` (number, required) The Custom FX conversion rate between Home/Reporting and Transactional currency items. Note: This field is only available if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `customRates.rateDate` (string) The date on which a particular currency rate is fixed or obtained on. Note: This field is only available if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 224.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `debitMemos` (array) Container for debit memos. The maximum number of debit memos is 1,000. - `debitMemos.amount` (number) The amount of the payment associated with the debit memo. - `debitMemos.debitMemoId` (string) The unique ID of the debit memo that the payment is created on. Note: - The Payment Cross Account (PCA) feature is in the Early Adopter stage. To gain access to this capability, please create a Zuora support ticket. - When PCA is enabled for the tenant, you can specify a debit memo / invoice that is different from the account that is specified in the request body. - `debitMemos.items` (array) Container for debit memo items. The maximum number of items is 1,000. Note: This field is only available if you have the [Invoice Item Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/C_Invoice_Item_Settlement) feature enabled. Invoice Item Settlement must be used together with other Invoice Settlement features (Unapplied Payments, and Credit and Debit memos). If you wish to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `debitMemos.items.amount` (number, required) The amount of the payment associated with the specific debit memo or taxation item. - `debitMemos.items.debitMemoItemId` (string) The ID of the specific debit memo item. - `debitMemos.items.taxItemId` (string) The ID of the specific taxation item. - `effectiveDate` (string) The date when the payment takes effect, in yyyy-mm-dd format. Note: - This field is required for only electronic payments. It's an optional field for external payments. - When specified, this field must be set to the date of today. - When applying or transferring payments, this field must be later than or equal to the maximum effective date of the payment. - `financeInformation` (object) Container for the finance information related to the payment. - `financeInformation.bankAccountAccountingCode` (string) The accounting code that maps to a bank account in your accounting system. - `financeInformation.transferredToAccounting` (string) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `financeInformation.unappliedPaymentAccountingCode` (string) The accounting code for the unapplied payment. - `gatewayId` (string) The ID of the gateway instance that processes the payment. The ID must be a valid gateway instance ID and this gateway must support the specific payment method. - If Payment Gateway Routing is enabled, when creating electronic payments, this field is optional. - If this field is not specified, gateway routing rules will be invoked. - If this field is specified, the specified gateway will be used to process the payment. - If Payment Gateway Routing is disabled, when creating electronic payments, this field is required. - When creating external payments, this field is optional. Use the same gateway instance if both paymentGatewayNumber and gatewayId are sent in the request. - `gatewayOptions` (object) The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts. - `gatewayOptions.key` (string) The name of a gateway-specific parameter. - `gatewayOptions.value` (string) The value of the gateway-specific parameter. - `gatewayOrderId` (string) A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. If not specified, the payment number will be passed in instead. Gateways check duplicates on the gateway order ID to ensure that the merchant do not accidentally enter the same transaction twice. This ID can also be used to do reconciliation and tie the payment to a natural key in external systems. The source of this ID varies by merchant. Some merchants use their shopping cart order IDs, and others use something different. Merchants use this ID to track transactions in their eCommerce systems. When you create a payment for capturing the authorized funds, it is highly recommended to pass in the gatewayOrderId that you used when authorizing the funds by using the [Create authorization](https://www.zuora.com/developer/api-references/api/operation/POST_CreateAuthorization) operation, together with the authTransactionId field. - `invoices` (array) Container for invoices. The maximum number of invoices is 1,000. Example: [{"invoiceId":"8a90e5e4914ad4fa01914b25ff2c036e","amount":14.99}] - `invoices.amount` (number) The amount of the payment associated with the invoice. This amount must be equal to or lesser than the balance of the invoice. - `invoices.invoiceId` (string) The unique ID of the invoice that the payment is created on. The balance of the invoice specified must not be 0. Note: - The Payment Cross Account (PCA) feature is in the Early Adopter stage. To gain access to this capability, please create a Zuora support ticket. - When PCA is enabled for the tenant, you can specify a debit memo / invoice that is different from the account that is specified in the request body. - `invoices.items` (array) Container for invoice items. The maximum number of items is 1,000. Note: This field is only available if you have the [Invoice Item Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/C_Invoice_Item_Settlement) feature enabled. Invoice Item Settlement must be used together with other Invoice Settlement features (Unapplied Payments, and Credit and Debit memos). If you wish to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `invoices.items.amount` (number, required) The amount of the payment associated with the specific invoice or taxation item. - `invoices.items.invoiceItemId` (string) The ID of the specific invoice item. - `mitTransactionSource` (string) Payment transaction source used to differentiate the transaction source in Stored Credential Transaction framework. - C_Unscheduled: Cardholder-initiated transaction (CIT) that does not occur on scheduled or regularly occurring dates. - M_Recurring: Merchant-initiated transaction (MIT) that occurs at regular intervals. - M_Unscheduled: Merchant-initiated transaction (MIT) that does not occur on scheduled or regularly occurring dates. - M_MOTO: Mail Order Telephone Order (MOTO) payment transaction. This option is only available for credit card payments on Stripe v2. See [Overview of Stripe payment gateway integration](https://knowledgecenter.zuora.com/Zuora_Collect/Payment_gateway_integrations/Supported_payment_gateways/Stripe_Payment_Gateway/A_Overview_of_Stripe_payment_gateway_integration) for more information. Enum: "C_Unscheduled", "M_Recurring", "M_Unscheduled", "M_MOTO" - `paymentGatewayNumber` (string) The natural key for the payment gateway. Use the same gateway instance if both paymentGatewayNumber and gatewayId are sent in the request. - `paymentMethodId` (string) The unique ID of the payment method that the customer used to make the payment. If no payment method ID is specified in the request body, the default payment method for the customer account is used automatically. If the default payment method is different from the type of payments that you want to create, an error occurs. Example: "2c92c8f95e2d6ebb015e325df7a70356" - `paymentMethodType` (string) The type of the payment method that the customer used to make the payment. Specify this value when you are creating an external payment method. If both paymentMethodType and paymentMethodId are specified, only the paymentMethodId value is used to create the payment. - `paymentOption` (array) Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. Here is an example: "paymentOption": [ { "type": "GatewayOptions", "detail": { "SecCode":"WEB" } } ] paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item. You can use this field or the gatewayOptions field to pass the Gateway Options fields supported by a payment gateway. However, the Gateway Options fields passed through the paymentOption field will be stored in the Payment Option object and can be easily retrieved. - `paymentOption.detail` (object) The field used to pass the transactional payment data to the gateway side in the key-value format. - `paymentOption.detail.key` (string) The name of the field. - `paymentOption.detail.value` (string) The value of the field. - `paymentOption.type` (string) The type of the payment option. Currently, only GatewayOptions is supported for specifying Gateway Options fields supported by a payment gateway. - `paymentScheduleKey` (string) The unique ID or the number of the payment schedule to be linked with the payment. See [Link payments to payment schedules](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Payment_Schedules/Link_payments_with_payment_schedules) for more information. - `prepayment` (boolean) Indicates whether the payment will be used as a reserved payment. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `referenceId` (string) The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments. - `softDescriptor` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `softDescriptorPhone` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `standalone` (boolean) This field is only available if support for standalone payments is enabled. Specify true to create a standalone payment that will be processed in Zuora through Zuora gateway integration but will be settled outside of Zuora. When standalone is set to true: - accountId, amount, currency, and type are required. - type must be Electronic. - currency of the payment can be different from the payment currency in the customer account settings. - The amount will not be summed up into the account balance and key metrics regardless of the payment currency. - No settlement data will be created. - Either the applied amount or the unapplied amount of the payment is zero. - The standalone payment cannot be applied, unapplied, or transferred. Specify false to create an ordinary payment that will be created, processed, and settled in Zuora. The currency of an ordinary payment must be the same as the currency in the customer account settings. - `type` (string, required) The type of the payment. Note: If you specify the type as Electronic, you must specify the value for accountId or accountNumber. Enum: "External", "Electronic" - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the payment's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the payment was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Transaction__NS` (string) Related transaction in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `accountId` (string) The ID of the customer account that the payment is for. - `accountNumber` (string) The number of the customer account that the payment is for. - `amount` (number) The total amount of the payment. - `appliedAmount` (number) The applied amount of the payment. - `authTransactionId` (string) The authorization transaction ID from the payment gateway. - `bankIdentificationNumber` (string) The first six or eight digits of the credit card or debit card used for the payment, when applicable. - `cancelledOn` (string,null) The date and time when the payment was cancelled, in yyyy-mm-dd hh:mm:ss format. - `comment` (string,null) Comments about the payment. - `createdById` (string) The ID of the Zuora user who created the payment. - `createdDate` (string) The date and time when the payment was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `creditBalanceAmount` (number) The amount that the payment transfers to the credit balance. The value is not 0 only for those payments that come from legacy payment operations performed without the Invoice Settlement feature. - `currency` (string) When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI. When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency. - `effectiveDate` (string) The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format. - `financeInformation` (object) Container for the finance information related to the payment. - `financeInformation.bankAccountAccountingCode` (string,null) The accounting code that maps to a bank account in your accounting system. - `financeInformation.bankAccountAccountingCodeType` (string,null) The type of the accounting code that maps to a bank account in your accounting system. - `financeInformation.transferredToAccounting` (string,null) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `financeInformation.unappliedPaymentAccountingCode` (string,null) The accounting code for the unapplied payment. - `financeInformation.unappliedPaymentAccountingCodeType` (string,null) The type of the accounting code for the unapplied payment. - `gatewayId` (string,null) The ID of the gateway instance that processes the payment. - `gatewayOrderId` (string) A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. If not specified, the payment number will be passed in instead. - `gatewayReconciliationReason` (string,null) The reason of gateway reconciliation. - `gatewayReconciliationStatus` (string,null) The status of gateway reconciliation. - `gatewayResponse` (string,null) The message returned from the payment gateway for the payment. This message is gateway-dependent. - `gatewayResponseCode` (string) The code returned from the payment gateway for the payment. This code is gateway-dependent. - `gatewayState` (string) The status of the payment in the gateway; use for reconciliation. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `id` (string) The unique ID of the created payment. For example, 4028905f5a87c0ff015a87eb6b75007f. - `markedForSubmissionOn` (string) The date and time when a payment was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `number` (string) The unique identification number of the payment. For example, P-00000001. - `organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `paymentGatewayNumber` (string,null) The natural key for the payment gateway. - `paymentMethodId` (string) The unique ID of the payment method that the customer used to make the payment. - `paymentMethodSnapshotId` (string,null) The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction. - `paymentOption` (array) Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item. - `paymentOption.detail` (object) The field used to pass the transactional payment data to the gateway side in the key-value format. - `paymentOption.detail.key` (string) The name of the field. - `paymentOption.detail.value` (string) The value of the field. - `paymentOption.type` (string) The type of the payment option. Currently, only GatewayOptions is supported for specifying Gateway Options fields supported by a payment gateway. - `paymentScheduleKey` (string) The unique ID or the number of the payment schedule that is linked to the payment. See [Link payments to payment schedules](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Payment_Schedules/Link_payments_with_payment_schedules) for more information. - `payoutId` (string,null) The payout ID of the payment from the gateway side. - `prepayment` (boolean) Indicates whether the payment is used as a reserved payment. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `referenceId` (string,null) The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments. - `refundAmount` (number) The amount of the payment that is refunded. - `secondPaymentReferenceId` (string,null) The transaction ID returned by the payment gateway if there is an additional transaction for the payment. Use this field to reconcile payments between your gateway and Zuora Payments. - `settledOn` (string,null) The date and time when the payment was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `softDescriptor` (string,null) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `softDescriptorPhone` (string,null) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `standalone` (boolean) This field is only available if the support for standalone payment is enabled. This field is not available for transferring, applying, or unapplying a payment. The value true indicates this is a standalone payment that is created and processed in Zuora through Zuora gateway integration but will be settled outside of Zuora. No settlement data will be created. The standalone payment cannot be applied, unapplied, or transferred. The value false indicates this is an ordinary payment that is created, processed, and settled in Zuora. - `status` (string) The status of the payment. If the Asynchronous Payment Statuses feature is not enabled, possible values are Draft, Processing, Processed, Error, Canceled, and Posted. If the Asynchronous Payment Statuses feature is enabled, when the ACH or Bank Transfer payment is created, it is in a Pending status upon successful network communication with the gateway. To transition from a Pending status to another status, use one of our Gateway Reconciliation options or cancel the payment. Enum: "Draft", "Processing", "Processed", "Error", "Canceled", "Posted", "Pending" - `submittedOn` (string) The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format. - `success` (boolean) Returns true if the request was processed successfully. - `type` (string) The type of the payment. Enum: "External", "Electronic" - `unappliedAmount` (number) The unapplied amount of the payment. - `updatedById` (string) The ID of the Zuora user who last updated the payment. - `updatedDate` (string) The date and time when the payment was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the payment's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the payment was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Transaction__NS` (string) Related transaction in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.